package net.northking.cctp.upperComputer.constants;

/**
 * @author : yineng.huang
 * @date : 2023/10/24 14:22
 */
public enum IosInputKeyBoardEnum {

    A("A"),
    B("B"),
    C("C"),
    D("D"),
    E("E"),
    F("F"),
    G("G"),
    H("H"),
    I("I"),
    J("J"),
    K("K"),
    L("L"),
    M("M"),
    N("N"),
    O("O"),
    P("P"),
    Q("Q"),
    R("R"),
    S("S"),
    T("T"),
    U("U"),
    V("V"),
    W("W"),
    X("X"),
    Y("Y"),
    Z("Z"),
    a("a"),
    b("b"),
    c("c"),
    d("d"),
    e("e"),
    f("f"),
    g("g"),
    h("h"),
    i("i"),
    j("j"),
    k("k"),
    l("l"),
    m("m"),
    n("n"),
    o("o"),
    p("p"),
    q("q"),
    r("r"),
    s("s"),
    t("t"),
    u("u"),
    v("v"),
    w("w"),
    x("x"),
    y("y"),
    z("z"),
    CODE_1("1"),
    CODE_2("2"),
    CODE_3("3"),
    CODE_4("4"),
    CODE_5("5"),
    CODE_6("6"),
    CODE_7("7"),
    CODE_8("8"),
    CODE_9("9"),
    CODE_0("0"),
    CODE_GRAVE("`"),
    CODE_MINUS("-"),
    CODE_EQUALS("="),
    CODE_COMMA(","),
    CODE_PERIOD("."),
    CODE_SEMICOLON(";"),
    CODE_APOSTROPHE("'"),
    CODE_LEFT_BRACKET("["),
    CODE_RIGHT_BRACKET("]"),
    CODE_BACKSLASH("\\"),
    CODE_SLASH("/"),
    CODE_NUMBER1_UP("!"),
    CODE_NUMBER2_UP("@"),
    CODE_NUMBER3_UP("#"),
    CODE_NUMBER4_UP("$"),
    CODE_NUMBER5_UP("%"),
    CODE_NUMBER6_UP("^"),
    CODE_NUMBER7_UP("&"),
    CODE_NUMBER8_UP("*"),
    CODE_NUMBER9_UP("("),
    CODE_NUMBER0_UP(")"),
    CODE_NUMBER_GRAVE_UP("~"),
    CODE_MINUS_UP("_"),
    CODE_EQUALS_UP("+"),
    CODE_COMMA_UP("<"),
    CODE_PERIOD_UP(">"),
    CODE_SEMICOLON_UP(":"),
    CODE_APOSTROPHE_UP("\""),
    CODE_LEFT_BRACKET_UP("{"),
    CODE_RIGHT_BRACKET_UP("}"),
    CODE_BACKSLASH_UP("|"),
    CODE_SLASH_UP("?"),
    BACKSPACE("Backspace");
    private String keyCode;

    IosInputKeyBoardEnum(String keyCode){
        this.keyCode = keyCode;
    }
    public String getKeyCode() {
        return this.keyCode;
    }
    public static boolean containsKey(String keyCode){
        for (IosInputKeyBoardEnum value : IosInputKeyBoardEnum.values()) {
            if (value.keyCode.equals(keyCode)) {
                return true;
            }
        }
        return false;
    }
}
